Me again

1. After having discovered that my Wii version is 3.4E I made a search again and found this: http://www.wiihacks.com/general-home...firmwares.html

Basically I think I have to downgrade to 3.2 in order not to be bricked. Am I right?

2. Then my next search resulted in this thread: http://www.wiihacks.com/recommended-...atutorial.html

I THINK that I have to install homebrew channel (Do I have to own Zelda since I'm modded?), then perform Step 1. What confused me in that thread is this: cIOS downgrader. I have read somewhere that I still need cios37 (getting confused now)

3. Then I read this thread: http://www.wiihacks.com/general-home...-os-1-07b.html

It seems that certain games need this.

Is there anything in my reasoning wrong here?